from git_secret_scanner.report import SecretKind


TRUFFLEHOG_DETECTOR_TO_SECRET_KIND = {
    'Abbysale': SecretKind.Abbysale,
    'Abstract': SecretKind.Abstract,
    'AbuseIPDB': SecretKind.AbuseIPDB,
    'Accuweather': SecretKind.Accuweather,
    'AdafruitIO': SecretKind.AdafruitIO,
    'AdobeIO': SecretKind.AdobeIO,
    'Adzuna': SecretKind.Adzuna,
    'Aerisweather': SecretKind.Aerisweather,
    'Aeroworkflow': SecretKind.Aeroworkflow,
    'Aftership': SecretKind.Aftership,
    'Agora': SecretKind.Agora,
    'Aha': SecretKind.Aha,
    'AirbrakeProjectKey': SecretKind.Airbrake,
    'AirbrakeUserKey': SecretKind.Airbrake,
    'Airship': SecretKind.Airship,
    'AirtableApiKey': SecretKind.Airtable,
    'AirtableMetadataApiKey': SecretKind.Airtable,
    'AirVisual': SecretKind.AirVisual,
    'Aiven': SecretKind.Aiven,
    'AkamaiToken': SecretKind.Akamai,
    'Alchemy': SecretKind.Alchemy,
    'Alconost': SecretKind.Alconost,
    'Alegra': SecretKind.Alegra,
    'AletheiaApi': SecretKind.AletheiaApi,
    'AlgoliaAdminKey': SecretKind.Algolia,
    'Alibaba': SecretKind.Alibaba,
    'AlienVault': SecretKind.AlienVault,
    'Allsports': SecretKind.Allsports,
    'Alphavantage': SecretKind.Alphavantage,
    'Amadeus': SecretKind.Amadeus,
    'AmazonMWS': SecretKind.AmazonMWS,
    'Ambee': SecretKind.Ambee,
    'AmplitudeApiKey': SecretKind.Amplitude,
    'AMQP': SecretKind.AMQP,
    'Anypoint': SecretKind.Anypoint,
    'Apacta': SecretKind.Apacta,
    'Api2Cart': SecretKind.Api2Cart,
    'Api2Convert': SecretKind.Api2Convert,
    'ApiDeck': SecretKind.ApiDeck,
    'Apiflash': SecretKind.Apiflash,
    'ApiFonica': SecretKind.ApiFonica,
    'Apify': SecretKind.Apify,
    'Apilayer': SecretKind.Apilayer,
    'APIMatic': SecretKind.APIMatic,
    'ApiScience': SecretKind.ApiScience,
    'APITemplate': SecretKind.APITemplate,
    'Apollo': SecretKind.Apollo,
    'Appcues': SecretKind.Appcues,
    'Appfollow': SecretKind.Appfollow,
    'Appointedd': SecretKind.Appointedd,
    'AppSynergy': SecretKind.AppSynergy,
    'Apptivo': SecretKind.Apptivo,
    'ArtifactoryAccessToken': SecretKind.Artifactory,
    'Artsy': SecretKind.Artsy,
    'AsanaOauth': SecretKind.Asana,
    'AsanaPersonalAccessToken': SecretKind.Asana,
    'AssemblyAI': SecretKind.AssemblyAI,
    'Atera': SecretKind.Atera,
    'Atlassian': SecretKind.Atlassian,
    'Audd': SecretKind.Audd,
    'Auth0ManagementApiToken': SecretKind.Auth0,
    'Auth0oauth': SecretKind.Auth0,
    'Authorize': SecretKind.Authorize,
    'Autodesk': SecretKind.Autodesk,
    'Autoklose': SecretKind.Autoklose,
    'AutoPilot': SecretKind.AutoPilot,
    'Avalara': SecretKind.Avalara,
    'AvazaPersonalAccessToken': SecretKind.Avaza,
    'AviationStack': SecretKind.AviationStack,
    'AWS': SecretKind.AWS,
    'Axonaut': SecretKind.Axonaut,
    'Aylien': SecretKind.Aylien,
    'Ayrshare': SecretKind.Ayrshare,
    'Azure': SecretKind.Azure,
    'Bannerbear': SecretKind.Bannerbear,
    'Baremetrics': SecretKind.Baremetrics,
    'BaseApiIO': SecretKind.BaseApiIO,
    'BasisTheory': SecretKind.BasisTheory,
    'Beamer': SecretKind.Beamer,
    'Beebole': SecretKind.Beebole,
    'Besnappy': SecretKind.Besnappy,
    'Besttime': SecretKind.Besttime,
    'Billomat': SecretKind.Billomat,
    'Bitbar': SecretKind.Bitbar,
    'BitcoinAverage': SecretKind.BitcoinAverage,
    'Bitfinex': SecretKind.Bitfinex,
    'BitGo': SecretKind.BitGo,
    'BitLyAccessToken': SecretKind.BitLy,
    'Bitmex': SecretKind.Bitmex,
    'Blablabus': SecretKind.Blablabus,
    'Blazemeter': SecretKind.Blazemeter,
    'BlitApp': SecretKind.BlitApp,
    'BlockNative': SecretKind.BlockNative,
    'Blogger': SecretKind.Blogger,
    'BombBomb': SecretKind.BombBomb,
    'BoostNote': SecretKind.BoostNote,
    'Bored': SecretKind.Bored,
    'Borgbase': SecretKind.Borgbase,
    'BraintreePayments': SecretKind.BraintreePayments,
    'Brandfetch': SecretKind.Brandfetch,
    'Brightlocal': SecretKind.Brightlocal,
    'BrowserStack': SecretKind.BrowserStack,
    'Browshot': SecretKind.Browshot,
    'BscScan': SecretKind.BscScan,
    'Bubble': SecretKind.Bubble,
    'BuddyNS': SecretKind.BuddyNS,
    'Bugherd': SecretKind.Bugherd,
    'Bugsnag': SecretKind.Bugsnag,
    'Buildkite': SecretKind.Buildkite,
    'Bulbul': SecretKind.Bulbul,
    'Bulksms': SecretKind.Bulksms,
    'ButterCMS': SecretKind.ButterCMS,
    'Caflou': SecretKind.Caflou,
    'Calendarific': SecretKind.Calendarific,
    'CalendlyApiKey': SecretKind.Calendly,
    'CalorieNinja': SecretKind.CalorieNinja,
    'Campayn': SecretKind.Campayn,
    'CannyIo': SecretKind.CannyIo,
    'CapsuleCRM': SecretKind.CapsuleCRM,
    'CaptainData': SecretKind.CaptainData,
    'CarbonInterface': SecretKind.CarbonInterface,
    'Cashboard': SecretKind.Cashboard,
    'Caspio': SecretKind.Caspio,
    'Censys': SecretKind.Censys,
    'CentralStationCRM': SecretKind.CentralStationCRM,
    'CexIO': SecretKind.CexIO,
    'Chartmogul': SecretKind.Chartmogul,
    'Chatbot': SecretKind.Chatbot,
    'Chatfule': SecretKind.Chatfule,
    'ChecIO': SecretKind.ChecIO,
    'ChecklyHQ': SecretKind.ChecklyHQ,
    'Checkmarket': SecretKind.Checkmarket,
    'Checkout': SecretKind.Checkout,
    'Checkvist': SecretKind.Checkvist,
    'Cicero': SecretKind.Cicero,
    'Circle': SecretKind.Circle,
    'CircleCI': SecretKind.CircleCI,
    'Clarifai': SecretKind.Clarifai,
    'Clearbit': SecretKind.Clearbit,
    'ClickHelp': SecretKind.ClickHelp,
    'ClickSendsms': SecretKind.ClickSendsms,
    'ClickupPersonalToken': SecretKind.Clickup,
    'Cliengo': SecretKind.Cliengo,
    'Clinchpad': SecretKind.Clinchpad,
    'Clockify': SecretKind.Clockify,
    'ClockworkSMS': SecretKind.ClockworkSMS,
    'Close': SecretKind.Close,
    'Cloudant': SecretKind.Cloudant,
    'CloudConvert': SecretKind.CloudConvert,
    'CloudElements': SecretKind.CloudElements,
    'CloudflareApiToken': SecretKind.Cloudflare,
    'CloudflareCaKey': SecretKind.Cloudflare,
    'CloudflareGlobalApiKey': SecretKind.Cloudflare,
    'CloudImage': SecretKind.CloudImage,
    'Cloudmersive': SecretKind.Cloudmersive,
    'Cloudplan': SecretKind.Cloudplan,
    'CloudsightKey': SecretKind.Cloudsight,
    'Cloudsmith': SecretKind.Cloudsmith,
    'Cloudways': SecretKind.Cloudways,
    'Cloverly': SecretKind.Cloverly,
    'Cloze': SecretKind.Cloze,
    'ClustDoc': SecretKind.ClustDoc,
    'Codacy': SecretKind.Codacy,
    'Codeclimate': SecretKind.Codeclimate,
    'Codemagic': SecretKind.Codemagic,
    'Codequiry': SecretKind.Codequiry,
    'CoinApi': SecretKind.CoinApi,
    'Coinbase': SecretKind.Coinbase,
    'CoinGecko': SecretKind.CoinGecko,
    'Coinlayer': SecretKind.Coinlayer,
    'Coinlib': SecretKind.Coinlib,
    'CoinMarketCap': SecretKind.CoinMarketCap,
    'Collect2': SecretKind.Collect2,
    'Column': SecretKind.Column,
    'Cometchat': SecretKind.Cometchat,
    'CommerceJS': SecretKind.CommerceJS,
    'Commodities': SecretKind.Commodities,
    'CompanyHub': SecretKind.CompanyHub,
    'Confluent': SecretKind.Confluent,
    'ContentfulDelivery': SecretKind.Contentful,
    'ContentfulPersonalAccessToken': SecretKind.Contentful,
    'ContentStack': SecretKind.ContentStack,
    'ConversionTools': SecretKind.ConversionTools,
    'Convert': SecretKind.Convert,
    'ConvertApi': SecretKind.ConvertApi,
    'Convertkit': SecretKind.Convertkit,
    'Convier': SecretKind.Convier,
    'Copper': SecretKind.Copper,
    'Copyscape': SecretKind.Copyscape,
    'Couchbase': SecretKind.Couchbase,
    'CountryLayer': SecretKind.CountryLayer,
    'Courier': SecretKind.Courier,
    'Coveralls': SecretKind.Coveralls,
    'CraftMyPDF': SecretKind.CraftMyPDF,
    'Createsend': SecretKind.Createsend,
    'Cricket': SecretKind.Cricket,
    'CrossBrowserTesting': SecretKind.CrossBrowserTesting,
    'Crowdin': SecretKind.Crowdin,
    'CryptoCompare': SecretKind.CryptoCompare,
    'CurrencyCloud': SecretKind.CurrencyCloud,
    'Currencyfreaks': SecretKind.Currencyfreaks,
    'Currencylayer': SecretKind.Currencylayer,
    'CurrencyScoop': SecretKind.CurrencyScoop,
    'CurrentsAPI': SecretKind.CurrentsAPI,
    'CustomerGuru': SecretKind.CustomerGuru,
    'CustomerIO': SecretKind.CustomerIO,
    'CustomRegex': SecretKind.CustomRegex,
    'D7Network': SecretKind.D7Network,
    'DailyCO': SecretKind.DailyCO,
    'Dandelion': SecretKind.Dandelion,
    'Dareboost': SecretKind.Dareboost,
    'Databox': SecretKind.Databox,
    'DatabricksToken': SecretKind.Databricks,
    'DatadogToken': SecretKind.Datadog,
    'DataFire': SecretKind.DataFire,
    'DataGov': SecretKind.DataGov,
    'Debounce': SecretKind.Debounce,
    'DeepAI': SecretKind.DeepAI,
    'Deepgram': SecretKind.Deepgram,
    'Delighted': SecretKind.Delighted,
    'Demio': SecretKind.Demio,
    'Deputy': SecretKind.Deputy,
    'Detectify': SecretKind.Detectify,
    'DetectLanguage': SecretKind.DetectLanguage,
    'Dfuse': SecretKind.Dfuse,
    'Diffbot': SecretKind.Diffbot,
    'Diggernaut': SecretKind.Diggernaut,
    'DigitalOceanSpaces': SecretKind.DigitalOcean,
    'DigitalOceanToken': SecretKind.DigitalOcean,
    'DigitalOceanV2': SecretKind.DigitalOcean,
    'DiscordBotToken': SecretKind.Discord,
    'DiscordWebhook': SecretKind.Discord,
    'Disqus': SecretKind.Disqus,
    'Distribusion': SecretKind.Distribusion,
    'Ditto': SecretKind.Ditto,
    'Dnscheck': SecretKind.Dnscheck,
    'Docker': SecretKind.Docker,
    'Dockerhub': SecretKind.Dockerhub,
    'Docparser': SecretKind.Docparser,
    'Documo': SecretKind.Documo,
    'Docusign': SecretKind.Docusign,
    'Doppler': SecretKind.Doppler,
    'Dotmailer': SecretKind.Dotmailer,
    'Dovico': SecretKind.Dovico,
    'DronaHQ': SecretKind.DronaHQ,
    'DroneCI': SecretKind.DroneCI,
    'Dropbox': SecretKind.Dropbox,
    'Duda': SecretKind.Duda,
    'Duffel': SecretKind.Duffel,
    'Duply': SecretKind.Duply,
    'Dwolla': SecretKind.Dwolla,
    'Dynadot': SecretKind.Dynadot,
    'Dynalist': SecretKind.Dynalist,
    'Dynatrace': SecretKind.Dynatrace,
    'Dyspatch': SecretKind.Dyspatch,
    'EagleEyeNetworks': SecretKind.EagleEyeNetworks,
    'EasyInsight': SecretKind.EasyInsight,
    'EcoStruxureIT': SecretKind.EcoStruxureIT,
    'Edamam': SecretKind.Edamam,
    'EdenAI': SecretKind.EdenAI,
    'Edusign': SecretKind.Edusign,
    'EightxEight': SecretKind.EightxEight,
    'ElasticEmail': SecretKind.ElasticEmail,
    'ElasticPath': SecretKind.ElasticPath,
    'Emailoctopus': SecretKind.Emailoctopus,
    'Enablex': SecretKind.Enablex,
    'Enigma': SecretKind.Enigma,
    'EnvoyApiKey': SecretKind.Envoy,
    'EquinixOauth': SecretKind.Equinix,
    'Etherscan': SecretKind.Etherscan,
    'Ethplorer': SecretKind.Ethplorer,
    'EtsyApiKey': SecretKind.Etsy,
    'Everhour': SecretKind.Everhour,
    'Eversign': SecretKind.Eversign,
    'ExchangeRateAPI': SecretKind.ExchangeRateAPI,
    'ExchangeRatesAPI': SecretKind.ExchangeRatesAPI,
    'ExportSDK': SecretKind.ExportSDK,
    'ExtractorAPI': SecretKind.ExtractorAPI,
    'FacebookOAuth': SecretKind.Facebook,
    'FacePlusPlus': SecretKind.FacePlusPlus,
    'FakeJSON': SecretKind.FakeJSON,
    'FastForex': SecretKind.FastForex,
    'FastlyPersonalToken': SecretKind.Fastly,
    'Fastspring': SecretKind.Fastspring,
    'Feedier': SecretKind.Feedier,
    'Feedly': SecretKind.Feedly,
    'Fetchrss': SecretKind.Fetchrss,
    'Fibery': SecretKind.Fibery,
    'FigmaPersonalAccessToken': SecretKind.Figma,
    'FileIO': SecretKind.FileIO,
    'Filestack': SecretKind.Filestack,
    'Finage': SecretKind.Finage,
    'FinancialModelingPrep': SecretKind.FinancialModelingPrep,
    'Findl': SecretKind.Findl,
    'Finnhub': SecretKind.Finnhub,
    'Firebase': SecretKind.Firebase,
    'FirebaseCloudMessaging': SecretKind.FirebaseCloudMessaging,
    'FixerIO': SecretKind.FixerIO,
    'FlagsmithEnvironmentKey': SecretKind.Flagsmith,
    'FlagsmithToken': SecretKind.Flagsmith,
    'FlatIO': SecretKind.FlatIO,
    'Fleetbase': SecretKind.Fleetbase,
    'Flickr': SecretKind.Flickr,
    'FlightApi': SecretKind.FlightApi,
    'FlightLabs': SecretKind.FlightLabs,
    'Flightstats': SecretKind.Flightstats,
    'Float': SecretKind.Float,
    'Flowdash': SecretKind.Flowdash,
    'Flowdock': SecretKind.Flowdock,
    'FlowFlu': SecretKind.FlowFlu,
    'Flutterwave': SecretKind.Flutterwave,
    'Fmfw': SecretKind.Fmfw,
    'FormBucket': SecretKind.FormBucket,
    'Formcraft': SecretKind.Formcraft,
    'FormIO': SecretKind.FormIO,
    'Formsite': SecretKind.Formsite,
    'Formstack': SecretKind.Formstack,
    'Fountain': SecretKind.Fountain,
    'FourSquare': SecretKind.FourSquare,
    'FrameIO': SecretKind.FrameIO,
    'Freshbooks': SecretKind.Freshbooks,
    'Freshdesk': SecretKind.Freshdesk,
    'Front': SecretKind.Front,
    'FTP': SecretKind.FTP,
    'Fulcrum': SecretKind.Fulcrum,
    'FullContact': SecretKind.FullContact,
    'Fullstory': SecretKind.Fullstory,
    'Fusebill': SecretKind.Fusebill,
    'FXMarket': SecretKind.FXMarket,
    'GCP': SecretKind.GCP,
    'Geckoboard': SecretKind.Geckoboard,
    'Gemini': SecretKind.Gemini,
    'Generic': SecretKind.Generic,
    'Gengo': SecretKind.Gengo,
    'Geoapify': SecretKind.Geoapify,
    'Geocode': SecretKind.Geocode,
    'Geocodify': SecretKind.Geocodify,
    'Geocodio': SecretKind.Geocodio,
    'GeoIpifi': SecretKind.GeoIpifi,
    'GetEmail': SecretKind.GetEmail,
    'GetEmails': SecretKind.GetEmails,
    'GetGeoAPI': SecretKind.GetGeoAPI,
    'Getgist': SecretKind.Getgist,
    'Getresponse': SecretKind.Getresponse,
    'GetSandbox': SecretKind.GetSandbox,
    'Github': SecretKind.Github,
    'GitHubApp': SecretKind.Github,
    'GitHubOauth2': SecretKind.Github,
    'GitHubOld': SecretKind.Github,
    'Gitlab': SecretKind.Gitlab,
    'Gitter': SecretKind.Gitter,
    'Glassnode': SecretKind.Glassnode,
    'GlitterlyAPI': SecretKind.Glitterly,
    'GoCanvas': SecretKind.GoCanvas,
    'GoCardless': SecretKind.GoCardless,
    'GoodDay': SecretKind.GoodDay,
    'GoogleApiKey': SecretKind.Google,
    'GoogleOauth2': SecretKind.Google,
    'Goshippo': SecretKind.Goshippo,
    'Gosquared': SecretKind.Gosquared,
    'Grafana': SecretKind.Grafana,
    'GraphCMS': SecretKind.GraphCMS,
    'Graphhopper': SecretKind.Graphhopper,
    'Groovehq': SecretKind.Groovehq,
    'GTMetrix': SecretKind.GTMetrix,
    'Guardianapi': SecretKind.Guardianapi,
    'Gumroad': SecretKind.Gumroad,
    'Guru': SecretKind.Guru,
    'Gyazo': SecretKind.Gyazo,
    'Happi': SecretKind.Happi,
    'Happyscribe': SecretKind.Happyscribe,
    'Harvest': SecretKind.Harvest,
    'Heatmapapi': SecretKind.Heatmapapi,
    'HelloSign': SecretKind.HelloSign,
    'HelpCrunch': SecretKind.HelpCrunch,
    'Helpscout': SecretKind.Helpscout,
    'HereAPI': SecretKind.Here,
    'Heroku': SecretKind.Heroku,
    'Hive': SecretKind.Hive,
    'Hiveage': SecretKind.Hiveage,
    'HolidayAPI': SecretKind.HolidayAPI,
    'Holistic': SecretKind.Holistic,
    'Honey': SecretKind.Honey,
    'Honeycomb': SecretKind.Honeycomb,
    'Host': SecretKind.Host,
    'Hotwire': SecretKind.Hotwire,
    'Html2Pdf': SecretKind.Html2Pdf,
    'HubSpot': SecretKind.HubSpot,
    'HubSpotApiKey': SecretKind.HubSpot,
    'HubSpotOauth': SecretKind.HubSpot,
    'HuggingFace': SecretKind.HuggingFace,
    'Humanity': SecretKind.Humanity,
    'Hunter': SecretKind.Hunter,
    'Hybiscus': SecretKind.Hybiscus,
    'HypeAuditor': SecretKind.HypeAuditor,
    'Hypertrack': SecretKind.Hypertrack,
    'IbmCloudUserKey': SecretKind.IbmCloud,
    'IconFinder': SecretKind.IconFinder,
    'Iexapis': SecretKind.Iexapis,
    'Iexcloud': SecretKind.Iexcloud,
    'Image4': SecretKind.Image4,
    'Imagekit': SecretKind.Imagekit,
    'ImageToText': SecretKind.ImageToText,
    'Imagga': SecretKind.Imagga,
    'Imgix': SecretKind.Imgix,
    'Imgur': SecretKind.Imgur,
    'Impala': SecretKind.Impala,
    'Infobip': SecretKind.Infobip,
    'Infura': SecretKind.Infura,
    'Insightly': SecretKind.Insightly,
    'Instabot': SecretKind.Instabot,
    'Integromat': SecretKind.Integromat,
    'Intercom': SecretKind.Intercom,
    'Interseller': SecretKind.Interseller,
    'Intrinio': SecretKind.Intrinio,
    'InvoiceOcean': SecretKind.InvoiceOcean,
    'Ipapi': SecretKind.Ipapi,
    'IPGeolocation': SecretKind.IPGeolocation,
    'Ipify': SecretKind.Ipify,
    'IPinfoDB': SecretKind.IPinfoDB,
    'IPQuality': SecretKind.IPQuality,
    'IpStack': SecretKind.IpStack,
    'JDBC': SecretKind.JDBC,
    'JiraToken': SecretKind.Jira,
    'Jotform': SecretKind.Jotform,
    'JSONbin': SecretKind.JSONbin,
    'Jumpcloud': SecretKind.Jumpcloud,
    'Jumpseller': SecretKind.Jumpseller,
    'Juro': SecretKind.Juro,
    'Kairos': SecretKind.Kairos,
    'KakaoTalk': SecretKind.KakaoTalk,
    'Kaleyra': SecretKind.Kaleyra,
    'KalturaAppToken': SecretKind.Kaltura,
    'KalturaSession': SecretKind.Kaltura,
    'Kanban': SecretKind.Kanban,
    'Kanbantool': SecretKind.Kanbantool,
    'KarmaCRM': SecretKind.KarmaCRM,
    'KeenIO': SecretKind.KeenIO,
    'Keygen': SecretKind.Keygen,
    'Kickbox': SecretKind.Kickbox,
    'KiteConnect': SecretKind.KiteConnect,
    'Klipfolio': SecretKind.Klipfolio,
    'KnapsackPro': SecretKind.KnapsackPro,
    'Kontent': SecretKind.Kontent,
    'Kraken': SecretKind.Kraken,
    'KubeConfig': SecretKind.KubeConfig,
    'KuCoin': SecretKind.KuCoin,
    'Kylas': SecretKind.Kylas,
    'LanguageLayer': SecretKind.LanguageLayer,
    'Lastfm': SecretKind.Lastfm,
    'LaunchDarkly': SecretKind.LaunchDarkly,
    'LDAP': SecretKind.LDAP,
    'Leadfeeder': SecretKind.Leadfeeder,
    'Lemlist': SecretKind.Lemlist,
    'Lendflow': SecretKind.Lendflow,
    'LessAnnoyingCRM': SecretKind.LessAnnoyingCRM,
    'Lexigram': SecretKind.Lexigram,
    'LinearAPI': SecretKind.Linear,
    'LineMessaging': SecretKind.LineMessaging,
    'LineNotify': SecretKind.LineNotify,
    'LinkedIn': SecretKind.LinkedIn,
    'LinkPreview': SecretKind.LinkPreview,
    'Linode': SecretKind.Linode,
    'LiveAgent': SecretKind.LiveAgent,
    'Livestorm': SecretKind.Livestorm,
    'Loadmill': SecretKind.Loadmill,
    'Lob': SecretKind.Lob,
    'LocationIQ': SecretKind.LocationIQ,
    'Loginradius': SecretKind.Loginradius,
    'LokaliseToken': SecretKind.Lokalise,
    'Loyverse': SecretKind.Loyverse,
    'LunchMoney': SecretKind.LunchMoney,
    'Luno': SecretKind.Luno,
    'M3o': SecretKind.M3o,
    'Macaddress': SecretKind.Macaddress,
    'MadKudu': SecretKind.MadKudu,
    'MagicBell': SecretKind.MagicBell,
    'Magnetic': SecretKind.Magnetic,
    'Mailboxlayer': SecretKind.Mailboxlayer,
    'Mailchimp': SecretKind.Mailchimp,
    'Mailerlite': SecretKind.Mailerlite,
    'Mailgun': SecretKind.Mailgun,
    'MailJetBasicAuth': SecretKind.MailJetBasicAuth,
    'MailJetSMS': SecretKind.MailJetSMS,
    'Mailmodo': SecretKind.Mailmodo,
    'Mailsac': SecretKind.Mailsac,
    'Mandrill': SecretKind.Mandrill,
    'Manifest': SecretKind.Manifest,
    'MapBox': SecretKind.MapBox,
    'Mapquest': SecretKind.Mapquest,
    'Marketstack': SecretKind.Marketstack,
    'MattermostPersonalToken': SecretKind.Mattermost,
    'Mavenlink': SecretKind.Mavenlink,
    'MaxMindLicense': SecretKind.MaxMindLicense,
    'MeaningCloud': SecretKind.MeaningCloud,
    'MediaStack': SecretKind.MediaStack,
    'Meistertask': SecretKind.Meistertask,
    'Mesibo': SecretKind.Mesibo,
    'MessageBird': SecretKind.MessageBird,
    'Messari': SecretKind.Messari,
    'MetaAPI': SecretKind.MetaAPI,
    'Metrilo': SecretKind.Metrilo,
    'MicrosoftTeamsWebhook': SecretKind.MicrosoftTeams,
    'Midise': SecretKind.Midise,
    'Mindmeister': SecretKind.Mindmeister,
    'Miro': SecretKind.Miro,
    'Mite': SecretKind.Mite,
    'Mixcloud': SecretKind.Mixcloud,
    'Mixmax': SecretKind.Mixmax,
    'Mixpanel': SecretKind.Mixpanel,
    'Mockaroo': SecretKind.Mockaroo,
    'Moderation': SecretKind.Moderation,
    'Mojohelpdesk': SecretKind.Mojohelpdesk,
    'MollieAccessToken': SecretKind.Mollie,
    'MollieAPIKey': SecretKind.Mollie,
    'Monday': SecretKind.Monday,
    'MongoDB': SecretKind.MongoDB,
    'MonkeyLearn': SecretKind.MonkeyLearn,
    'Moonclerk': SecretKind.Moonclerk,
    'Moosend': SecretKind.Moosend,
    'Moralis': SecretKind.Moralis,
    'Mrticktock': SecretKind.Mrticktock,
    'Mux': SecretKind.Mux,
    'Myexperiment': SecretKind.Myexperiment,
    'Myfreshworks': SecretKind.Myfreshworks,
    'MyIntervals': SecretKind.MyIntervals,
    'NasdaqDataLink': SecretKind.NasdaqDataLink,
    'NetCore': SecretKind.NetCore,
    'Nethunt': SecretKind.Nethunt,
    'Netlify': SecretKind.Netlify,
    'NeutrinoApi': SecretKind.NeutrinoApi,
    'NewRelicPersonalApiKey': SecretKind.NewRelic,
    'Newsapi': SecretKind.Newsapi,
    'Newscatcher': SecretKind.Newscatcher,
    'NexmoApiKey': SecretKind.Nexmo,
    'Nftport': SecretKind.Nftport,
    'NGC': SecretKind.NGC,
    'NiceHash': SecretKind.NiceHash,
    'Nicereply': SecretKind.Nicereply,
    'Nightfall': SecretKind.Nightfall,
    'Nimble': SecretKind.Nimble,
    'Nitro': SecretKind.Nitro,
    'Nordigen': SecretKind.Nordigen,
    'Noticeable': SecretKind.Noticeable,
    'Notion': SecretKind.Notion,
    'NozbeTeams': SecretKind.NozbeTeams,
    'NpmToken': SecretKind.Npm,
    'Nubela': SecretKind.Nubela,
    'NuGetApiKey': SecretKind.NuGet,
    'Numverify': SecretKind.Numverify,
    'Nutritionix': SecretKind.Nutritionix,
    'Nylas': SecretKind.Nylas,
    'Nytimes': SecretKind.Nytimes,
    'Oanda': SecretKind.Oanda,
    'OcrSpace': SecretKind.OcrSpace,
    'Okta': SecretKind.Okta,
    'Omnisend': SecretKind.Omnisend,
    'Onbuka': SecretKind.Onbuka,
    'Onedesk': SecretKind.Onedesk,
    'OneLogin': SecretKind.OneLogin,
    'OnepageCRM': SecretKind.OnepageCRM,
    'Onesignal': SecretKind.Onesignal,
    'OnWaterIO': SecretKind.OnWaterIO,
    'OOPSpam': SecretKind.OOPSpam,
    'OpenAI': SecretKind.OpenAI,
    'OpenCageData': SecretKind.OpenCageData,
    'Opendatasoft': SecretKind.Opendatasoft,
    'Opengraphr': SecretKind.Opengraphr,
    'Openuv': SecretKind.Openuv,
    'OpenWeather': SecretKind.OpenWeather,
    'Opsgenie': SecretKind.Opsgenie,
    'Optidash': SecretKind.Optidash,
    'Optimizely': SecretKind.Optimizely,
    'Owlbot': SecretKind.Owlbot,
    'PackageCloud': SecretKind.PackageCloud,
    'Paddle': SecretKind.Paddle,
    'Page2Images': SecretKind.Page2Images,
    'PagerDutyApiKey': SecretKind.PagerDuty,
    'Pandadoc': SecretKind.Pandadoc,
    'PandaScore': SecretKind.PandaScore,
    'Paperform': SecretKind.Paperform,
    'Papyrs': SecretKind.Papyrs,
    'ParallelDots': SecretKind.ParallelDots,
    'Parsehub': SecretKind.Parsehub,
    'Parsers': SecretKind.Parsers,
    'Parseur': SecretKind.Parseur,
    'Partnerstack': SecretKind.Partnerstack,
    'Passbase': SecretKind.Passbase,
    'Pastebin': SecretKind.Pastebin,
    'Paydirtapp': SecretKind.Paydirtapp,
    'Paymo': SecretKind.Paymo,
    'Paymoapp': SecretKind.Paymoapp,
    'Paymongo': SecretKind.Paymongo,
    'PaypalOauth': SecretKind.Paypal,
    'Paystack': SecretKind.Paystack,
    'PdfLayer': SecretKind.PdfLayer,
    'PDFmyURL': SecretKind.PDFmyURL,
    'PdfShift': SecretKind.PdfShift,
    'PendoIntegrationKey': SecretKind.Pendo,
    'PeopleDataLabs': SecretKind.PeopleDataLabs,
    'Pepipost': SecretKind.Pepipost,
    'Percy': SecretKind.Percy,
    'Pinata': SecretKind.Pinata,
    'Pipedream': SecretKind.Pipedream,
    'Pipedrive': SecretKind.Pipedrive,
    'PivotalTracker': SecretKind.PivotalTracker,
    'Pixabay': SecretKind.Pixabay,
    'PlaidKey': SecretKind.Plaid,
    'PlaidToken': SecretKind.Plaid,
    'PlanetScale': SecretKind.PlanetScale,
    'PlanviewLeanKit': SecretKind.PlanviewLeanKit,
    'Planyo': SecretKind.Planyo,
    'Plivo': SecretKind.Plivo,
    'Podio': SecretKind.Podio,
    'PollsAPI': SecretKind.PollsAPI,
    'Poloniex': SecretKind.Poloniex,
    'Polygon': SecretKind.Polygon,
    'PositionStack': SecretKind.PositionStack,
    'PostageApp': SecretKind.PostageApp,
    'Postbacks': SecretKind.Postbacks,
    'PosthogApp': SecretKind.Posthog,
    'Postman': SecretKind.Postman,
    'Postmark': SecretKind.Postmark,
    'Powrbot': SecretKind.Powrbot,
    'Prefect': SecretKind.Prefect,
    'Printfection': SecretKind.Printfection,
    'PrivateKey': SecretKind.PrivateKey,
    'Processst': SecretKind.Processst,
    'Prodpad': SecretKind.Prodpad,
    'ProspectCRM': SecretKind.ProspectCRM,
    'ProspectIO': SecretKind.ProspectIO,
    'ProtocolsIO': SecretKind.ProtocolsIO,
    'ProxyCrawl': SecretKind.ProxyCrawl,
    'PubNubPublishKey': SecretKind.PubNub,
    'PubNubSubscriptionKey': SecretKind.PubNub,
    'Pulumi': SecretKind.Pulumi,
    'PureStake': SecretKind.PureStake,
    'PushBulletApiKey': SecretKind.PushBullet,
    'PusherChannelKey': SecretKind.PusherChannel,
    'Qase': SecretKind.Qase,
    'Qualaroo': SecretKind.Qualaroo,
    'Qubole': SecretKind.Qubole,
    'Quickbase': SecretKind.Quickbase,
    'QuickMetrics': SecretKind.QuickMetrics,
    'RabbitMQ': SecretKind.RabbitMQ,
    'RapidApi': SecretKind.RapidApi,
    'Raven': SecretKind.Raven,
    'Rawg': SecretKind.Rawg,
    'RazorPay': SecretKind.RazorPay,
    'Reachmail': SecretKind.Reachmail,
    'ReadMe': SecretKind.ReadMe,
    'ReallySimpleSystems': SecretKind.ReallySimpleSystems,
    'Rebrandly': SecretKind.Rebrandly,
    'ReCAPTCHA': SecretKind.ReCAPTCHA,
    'RechargePayments': SecretKind.RechargePayments,
    'Redbooth': SecretKind.Redbooth,
    'Redis': SecretKind.Redis,
    'Refiner': SecretKind.Refiner,
    'Rentman': SecretKind.Rentman,
    'Repairshopr': SecretKind.Repairshopr,
    'Restpack': SecretKind.Restpack,
    'RestpackHtmlToPdfAPI': SecretKind.Restpack,
    'RestpackScreenshotAPI': SecretKind.Restpack,
    'Rev': SecretKind.Rev,
    'RevampCRM': SecretKind.RevampCRM,
    'RingCentral': SecretKind.RingCentral,
    'Riotgames': SecretKind.Riotgames,
    'RiteKit': SecretKind.RiteKit,
    'Roaring': SecretKind.Roaring,
    'RocketReach': SecretKind.RocketReach,
    'Rockset': SecretKind.Rockset,
    'RoninApp': SecretKind.RoninApp,
    'Rosette': SecretKind.Rosette,
    'Route4me': SecretKind.Route4me,
    'Rownd': SecretKind.Rownd,
    'RubyGems': SecretKind.RubyGems,
    'RunRunIt': SecretKind.RunRunIt,
    'Salesblink': SecretKind.Salesblink,
    'Salescookie': SecretKind.Salescookie,
    'Salesflare': SecretKind.Salesflare,
    'Salesforce': SecretKind.Salesforce,
    'SalesforceOauth2': SecretKind.Salesforce,
    'Salesmate': SecretKind.Salesmate,
    'Samsara': SecretKind.Samsara,
    'SatismeterProjectkey': SecretKind.Satismeter,
    'SatismeterWritekey': SecretKind.Satismeter,
    'SauceLabs': SecretKind.SauceLabs,
    'ScalewayKey': SecretKind.Scaleway,
    'Scalr': SecretKind.Scalr,
    'Scrapeowl': SecretKind.Scrapeowl,
    'ScraperAPI': SecretKind.ScraperAPI,
    'ScraperBox': SecretKind.ScraperBox,
    'ScraperSite': SecretKind.ScraperSite,
    'ScrapeStack': SecretKind.ScrapeStack,
    'Scrapfly': SecretKind.Scrapfly,
    'ScrapingAnt': SecretKind.ScrapingAnt,
    'ScrapingBee': SecretKind.ScrapingBee,
    'ScrapingDog': SecretKind.ScrapingDog,
    'ScreenshotAPI': SecretKind.ScreenshotAPI,
    'ScreenshotLayer': SecretKind.ScreenshotLayer,
    'ScrutinizerCi': SecretKind.ScrutinizerCi,
    'SecurityTrails': SecretKind.SecurityTrails,
    'SegmentApiKey': SecretKind.Segment,
    'SelectPDF': SecretKind.SelectPDF,
    'Sellfy': SecretKind.Sellfy,
    'Semaphore': SecretKind.Semaphore,
    'Sendbird': SecretKind.Sendbird,
    'SendbirdOrganizationAPI': SecretKind.Sendbird,
    'SendGrid': SecretKind.SendGrid,
    'SendinBlueV2': SecretKind.SendinBlue,
    'Sendoso': SecretKind.Sendoso,
    'Sentiment': SecretKind.Sentiment,
    'SentryToken': SecretKind.Sentry,
    'Serphouse': SecretKind.Serphouse,
    'SerpStack': SecretKind.SerpStack,
    'Sheety': SecretKind.Sheety,
    'Sherpadesk': SecretKind.Sherpadesk,
    'Shipday': SecretKind.Shipday,
    'ShodanKey': SecretKind.Shodan,
    'ShopeeOpenPlatform': SecretKind.ShopeeOpenPlatform,
    'Shopify': SecretKind.Shopify,
    'Shortcut': SecretKind.Shortcut,
    'Shotstack': SecretKind.Shotstack,
    'Shutterstock': SecretKind.Shutterstock,
    'ShutterstockOAuth': SecretKind.Shutterstock,
    'Signable': SecretKind.Signable,
    'Signalwire': SecretKind.Signalwire,
    'Signaturit': SecretKind.Signaturit,
    'Signupgenius': SecretKind.Signupgenius,
    'Sigopt': SecretKind.Sigopt,
    'SimFin': SecretKind.SimFin,
    'Simplesat': SecretKind.Simplesat,
    'Simplybook': SecretKind.Simplybook,
    'SimplyNoted': SecretKind.SimplyNoted,
    'Simvoly': SecretKind.Simvoly,
    'SinchMessage': SecretKind.SinchMessage,
    'Sirv': SecretKind.Sirv,
    'Siteleaf': SecretKind.Siteleaf,
    'Skrappio': SecretKind.Skrappio,
    'SkyBiometry': SecretKind.SkyBiometry,
    'Slack': SecretKind.Slack,
    'SlackWebhook': SecretKind.Slack,
    'Smartsheets': SecretKind.Smartsheets,
    'SmartyStreets': SecretKind.SmartyStreets,
    'Smooch': SecretKind.Smooch,
    'SMSApi': SecretKind.SMSApi,
    'Snipcart': SecretKind.Snipcart,
    'Snowflake': SecretKind.Snowflake,
    'SnykKey': SecretKind.Snyk,
    'SonarCloud': SecretKind.SonarCloud,
    'Sourcegraph': SecretKind.Sourcegraph,
    'Sparkpost': SecretKind.Sparkpost,
    'SpeechTextAI': SecretKind.SpeechTextAI,
    'SplunkOberservabilityToken': SecretKind.Splunk,
    'Spoonacular': SecretKind.Spoonacular,
    'SportRadar': SecretKind.SportRadar,
    'Sportsmonk': SecretKind.Sportsmonk,
    'SpotifyKey': SecretKind.Spotify,
    'SQLServer': SecretKind.SQLServer,
    'Square': SecretKind.Square,
    'SquareApp': SecretKind.Square,
    'Squarespace': SecretKind.Squarespace,
    'Squareup': SecretKind.Squareup,
    'SslMate': SecretKind.SslMate,
    'Statuscake': SecretKind.Statuscake,
    'Statuspage': SecretKind.Statuspage,
    'Statuspal': SecretKind.Statuspal,
    'Stitchdata': SecretKind.Stitchdata,
    'Stockdata': SecretKind.Stockdata,
    'Storecove': SecretKind.Storecove,
    'Stormboard': SecretKind.Stormboard,
    'Stormglass': SecretKind.Stormglass,
    'Storyblok': SecretKind.Storyblok,
    'Storychief': SecretKind.Storychief,
    'Strava': SecretKind.Strava,
    'Streak': SecretKind.Streak,
    'StreamChatMessaging': SecretKind.StreamChatMessaging,
    'Stripe': SecretKind.Stripe,
    'Stytch': SecretKind.Stytch,
    'Sugester': SecretKind.Sugester,
    'SumoLogicKey': SecretKind.SumoLogic,
    'SupabaseToken': SecretKind.Supabase,
    'SuperNotesAPI': SecretKind.SuperNotes,
    'Supportbee': SecretKind.Supportbee,
    'Surge': SecretKind.Surge,
    'SurveyAnyplace': SecretKind.SurveyAnyplace,
    'SurveyBot': SecretKind.SurveyBot,
    'SurveySparrow': SecretKind.SurveySparrow,
    'Survicate': SecretKind.Survicate,
    'Swell': SecretKind.Swell,
    'Swiftype': SecretKind.Swiftype,
    'Tailscale': SecretKind.Tailscale,
    'Tallyfy': SecretKind.Tallyfy,
    'TatumIO': SecretKind.TatumIO,
    'Taxjar': SecretKind.Taxjar,
    'Teamgate': SecretKind.Teamgate,
    'Teamup': SecretKind.Teamup,
    'TeamViewer': SecretKind.TeamViewer,
    'TeamworkCRM': SecretKind.TeamworkCRM,
    'TeamworkDesk': SecretKind.TeamworkDesk,
    'TeamworkSpaces': SecretKind.TeamworkSpaces,
    'TechnicalAnalysisApi': SecretKind.TechnicalAnalysisApi,
    'Tefter': SecretKind.Tefter,
    'TelegramBotToken': SecretKind.Telegram,
    'Telesign': SecretKind.Telesign,
    'Teletype': SecretKind.Teletype,
    'Telnyx': SecretKind.Telnyx,
    'TencentCloudKey': SecretKind.TencentCloud,
    'TerraformCloudPersonalToken': SecretKind.TerraformCloud,
    'Test': SecretKind.Test,
    'TestingBot': SecretKind.TestingBot,
    'Text2Data': SecretKind.Text2Data,
    'Textmagic': SecretKind.Textmagic,
    'TheOddsApi': SecretKind.TheOddsApi,
    'Thinkific': SecretKind.Thinkific,
    'ThousandEyes': SecretKind.ThousandEyes,
    'TicketMaster': SecretKind.TicketMaster,
    'Tickettailor': SecretKind.Tickettailor,
    'Tiingo': SecretKind.Tiingo,
    'TimeCamp': SecretKind.TimeCamp,
    'Timekit': SecretKind.Timekit,
    'Timezoneapi': SecretKind.Timezoneapi,
    'TinesWebhook': SecretKind.Tines,
    'TLy': SecretKind.TLy,
    'Tmetric': SecretKind.Tmetric,
    'Todoist': SecretKind.Todoist,
    'TogglTrack': SecretKind.TogglTrack,
    'Tokeet': SecretKind.Tokeet,
    'TomorrowIO': SecretKind.TomorrowIO,
    'Tomtom': SecretKind.Tomtom,
    'Tradier': SecretKind.Tradier,
    'Transferwise': SecretKind.Transferwise,
    'TravelPayouts': SecretKind.TravelPayouts,
    'TravisCI': SecretKind.TravisCI,
    'TrelloApiKey': SecretKind.Trello,
    'Trimble': SecretKind.Trimble,
    'Tru': SecretKind.Tru,
    'TrufflehogEnterprise': SecretKind.TrufflehogEnterprise,
    'TwelveData': SecretKind.TwelveData,
    'Twilio': SecretKind.Twilio,
    'Twist': SecretKind.Twist,
    'Twitch': SecretKind.Twitch,
    'Twitter': SecretKind.Twitter,
    'TwitterApiSecret': SecretKind.Twitter,
    'Tyntec': SecretKind.Tyntec,
    'Typeform': SecretKind.Typeform,
    'Typetalk': SecretKind.Typetalk,
    'UberServerToken': SecretKind.Uber,
    'Ubidots': SecretKind.Ubidots,
    'Uclassify': SecretKind.Uclassify,
    'UnifyID': SecretKind.UnifyID,
    'Unplugg': SecretKind.Unplugg,
    'Unsplash': SecretKind.Unsplash,
    'UPCDatabase': SecretKind.UPCDatabase,
    'Uplead': SecretKind.Uplead,
    'UploadCare': SecretKind.UploadCare,
    'Uproc': SecretKind.Uproc,
    'UptimeRobot': SecretKind.UptimeRobot,
    'Upwave': SecretKind.Upwave,
    'URI': SecretKind.URI,
    'Urlscan': SecretKind.Urlscan,
    'User': SecretKind.User,
    'Userflow': SecretKind.Userflow,
    'UserStack': SecretKind.UserStack,
    'VatLayer': SecretKind.VatLayer,
    'Vbout': SecretKind.Vbout,
    'Veevavault': SecretKind.Veevavault,
    'Vercel': SecretKind.Vercel,
    'Verifier': SecretKind.Verifier,
    'Verimail': SecretKind.Verimail,
    'Veriphone': SecretKind.Veriphone,
    'VersionEye': SecretKind.VersionEye,
    'Viewneo': SecretKind.Viewneo,
    'VirusTotal': SecretKind.VirusTotal,
    'VisualCrossing': SecretKind.VisualCrossing,
    'Voicegain': SecretKind.Voicegain,
    'Vonage': SecretKind.Vonage,
    'VoodooSMS': SecretKind.VoodooSMS,
    'Vouchery': SecretKind.Vouchery,
    'Vpnapi': SecretKind.Vpnapi,
    'VultrApiKey': SecretKind.Vultr,
    'Vyte': SecretKind.Vyte,
    'Wakatime': SecretKind.Wakatime,
    'WalkScore': SecretKind.WalkScore,
    'WeatherBit': SecretKind.WeatherBit,
    'WeatherStack': SecretKind.WeatherStack,
    'Webengage': SecretKind.Webengage,
    'Webex': SecretKind.Webex,
    'Webflow': SecretKind.Webflow,
    'WebScraper': SecretKind.WebScraper,
    'Webscraping': SecretKind.Webscraping,
    'Websitepulse': SecretKind.Websitepulse,
    'WeChatAppKey': SecretKind.WeChat,
    'WePay': SecretKind.WePay,
    'Whoxy': SecretKind.Whoxy,
    'Wistia': SecretKind.Wistia,
    'Wit': SecretKind.Wit,
    'Woopra': SecretKind.Woopra,
    'WordsApi': SecretKind.WordsApi,
    'Workday': SecretKind.Workday,
    'Worksnaps': SecretKind.Worksnaps,
    'Workstack': SecretKind.Workstack,
    'WorldCoinIndex': SecretKind.WorldCoinIndex,
    'WorldWeather': SecretKind.WorldWeather,
    'WpEngine': SecretKind.WpEngine,
    'Wrike': SecretKind.Wrike,
    'Yandex': SecretKind.Yandex,
    'Yelp': SecretKind.Yelp,
    'Yext': SecretKind.Yext,
    'YouNeedABudget': SecretKind.YouNeedABudget,
    'YouSign': SecretKind.YouSign,
    'YoutubeApiKey': SecretKind.Youtube,
    'ZapierWebhook': SecretKind.Zapier,
    'ZendeskApi': SecretKind.Zendesk,
    'ZenkitAPI': SecretKind.Zenkit,
    'ZenRows': SecretKind.ZenRows,
    'Zenscrape': SecretKind.Zenscrape,
    'Zenserp': SecretKind.Zenserp,
    'Zeplin': SecretKind.Zeplin,
    'Zerobounce': SecretKind.Zerobounce,
    'ZipAPI': SecretKind.ZipAPI,
    'ZipBooks': SecretKind.ZipBooks,
    'ZipCodeAPI': SecretKind.ZipCodeAPI,
    'Zipcodebase': SecretKind.Zipcodebase,
    'ZonkaFeedback': SecretKind.ZonkaFeedback,
    'ZulipChat': SecretKind.ZulipChat,
}
